%global         momorel 1

Name:           perl-Cache
Version:        2.10
Release:        %{momorel}m%{?dist}
Summary:        Cache interface
License:        GPL+ or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Cache/
Source0:        http://www.cpan.org/authors/id/S/SH/SHLOMIF/Cache-%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl-Cwd >= 0.8
BuildRequires:  perl-DB_File >= 1.72
BuildRequires:  perl-Digest-SHA1 >= 2.01
BuildRequires:  perl-Fcntl >= 1.03
BuildRequires:  perl-File-NFSLock >= 1.20
BuildRequires:  perl-File-Path >= 1.00
BuildRequires:  perl-Heap >= 0.01
BuildRequires:  perl-IO >= 1.21
BuildRequires:  perl-IO-String >= 1.02
BuildRequires:  perl-Module-Build
BuildRequires:  perl-Storable >= 1.00
BuildRequires:  perl-Test-Simple >= 0.45
BuildRequires:  perl-TimeDate >= 2.24
Requires:       perl-Cwd >= 0.8
Requires:       perl-DB_File >= 1.72
Requires:       perl-Digest-SHA1 >= 2.01
Requires:       perl-Fcntl >= 1.03
Requires:       perl-File-NFSLock >= 1.20
Requires:       perl-File-Path >= 1.00
Requires:       perl-Heap >= 0.01
Requires:       perl-IO >= 1.21
Requires:       perl-IO-String >= 1.02
Requires:       perl-Storable >= 1.00
Requires:       perl-Test-More >= 0.45
Requires:       perl-TimeDate >= 2.24
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you do not want to execute test, turn off do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 1}

%description
The Cache modules are designed to assist a developer in persisting data for
a specified period of time. Often these modules are used in web
applications to store data locally to save repeated and redundant expensive
calls to remote machines or databases.

%prep
%setup -q -n Cache-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes design.dia LICENSE META.json README scripts TODO
%{perl_vendorlib}/Cache
%{perl_vendorlib}/Cache.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.10-1m)
- rebuild against perl-5.20.0
- update to 2.10

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (2.09-1m)
- update to 2.09
- rebuild against perl-5.18.2

* Sat Sep 28 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.06-1m)
- update to 2.06

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.04-21m)
- rebuild against perl-5.18.1

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.04-20m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (2.04-19m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.04-18m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.04-17m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (2.04-16m)
- rebuild against perl-5.16.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.04-15m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.04-14m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.04-13m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.04-12m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.04-11m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.04-10m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.04-9m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.04-8m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.04-7m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.04-6m)
- rebuild against gcc-4.4 and glibc-2.11

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.04-5m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.04-4m)
- rebuild against rpm-4.6

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.04-3m)
- rebuild against gcc43

* Mon Apr 23 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (2.04-2m)
- use vendor

* Thu Sep 28 2006 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.04-1m)
- spec file was autogenerated
